Bug 661341 - home dir on nfsv4: completely unreliable
Summary: home dir on nfsv4: completely unreliable
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-08 15:55 UTC by Thomas Sailer
Modified: 2012-08-16 22:20 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 22:20:00 UTC


Attachments (Terms of Use)
output of echo t > /proc/sysrq-trigger (122.38 KB, text/plain)
2010-12-13 14:27 UTC, Thomas Sailer
no flags Details
Output of ps axwl (17.20 KB, application/octet-stream)
2010-12-13 14:27 UTC, Thomas Sailer
no flags Details

Description Thomas Sailer 2010-12-08 15:55:27 UTC
Description of problem:
Home Directories on a network volume exported via nfsv4 are totally unreliable

Version-Release number of selected component (if applicable):
kernel-2.6.35.9-64.fc14.x86_64
kernel-2.6.34.7-63.fc13.x86_64
kernel-2.6.36.1-11.fc15.x86_64

How reproducible:
Always

Steps to Reproduce:
1.Set up a client so that the user's home directories are on an nfsv4 server
2.try to login
3.watch how the desktop gets stuck
  
Actual results:
lots of essential desktop infrastructure processes (like gnome-settings-daemon) get stuck, for example within nfs4_delay, therefore resulting in an unusable desktop.

Expected results:
working desktop

Additional info:
My setup worked in the Fedora 12 timeframe. Now I've upgraded both the client and the server to Fedora 14. I've tried the 3 kernel versions listed above (current F14, F13 update, current F15), both on the server and on the client, none of the combinations worked. I've tried both with krb5p and without kerberos, no effect.

Both gnome and KDE get stuck.

The same machines with nfs3 work.

Now when KDE tries to start up, it does the following sed command:
sed -i -e s/Default/Laughlin/g /home/t.sailer/.kde/share/config/startupconfigkeys

This sed command gets stuck reliably.
Strace as follows:
$ strace -ff sed -i -e s/Default/Laughlin/g /home/t.sailer/.kde/share/config/startupconfigkeys
execve("/bin/sed", ["sed", "-i", "-e", "s/Default/Laughlin/g", "/home/t.sailer/.kde/share/config"...], [/* 36 vars */]) = 0
brk(0)                                  = 0x8b13000
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb77a6000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=106452, ...}) = 0
mmap2(NULL, 106452, PROT_READ, MAP_PRIVATE, 3, 0) = 0xb778c000
close(3)                                = 0
open("/lib/libselinux.so.1", O_RDONLY)  = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0000r\242\0004\0\0\0"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=122424, ...}) = 0
mmap2(0xa23000, 125956, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xa23000
mmap2(0xa40000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1c) = 0xa40000
close(3)                                = 0
open("/lib/libc.so.6", O_RDONLY)        = 3
read(3, "\177ELF\1\1\1\3\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0p\17p\0004\0\0\0"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=1893912, ...}) = 0
mmap2(0x6ea000, 1653288, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x6ea000
mprotect(0x877000, 4096, PROT_NONE)     = 0
mmap2(0x878000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x18d) = 0x878000
mmap2(0x87b000, 10792, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x87b000
close(3)                                = 0
open("/lib/libdl.so.2", O_RDONLY)       = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`\252\214\0004\0\0\0"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=19780, ...}) = 0
mmap2(0x8ca000, 16500, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x8ca000
mmap2(0x8cd000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x2) = 0x8cd000
close(3)                                = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb778b000
set_thread_area({entry_number:-1 -> 6, base_addr:0xb778ba60, limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0, useable:1}) = 0
mprotect(0xa40000, 4096, PROT_READ)     = 0
mprotect(0x878000, 8192, PROT_READ)     = 0
mprotect(0x8cd000, 4096, PROT_READ)     = 0
mprotect(0x6e6000, 4096, PROT_READ)     = 0
munmap(0xb778c000, 106452)              = 0
statfs64("/selinux", 84, {f_type=0xf97cff8c, f_bsize=4096, f_blocks=0, f_bfree=0, f_bavail=0, f_files=0, f_ffree=0, f_fsid={0, 0}, f_namelen=255, f_frsize=4096}) = 0
brk(0)                                  = 0x8b13000
brk(0x8b34000)                          = 0x8b34000
open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=99158720, ...}) = 0
mmap2(NULL, 2097152, PROT_READ, MAP_PRIVATE, 3, 0) = 0xb758b000
close(3)                                = 0
open("/usr/lib/charset.alias", O_RDONLY|O_LARGEFILE) = -1 ENOENT (No such file or directory)
open("/usr/lib/gconv/gconv-modules.cache", O_RDONLY) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=26048, ...}) = 0
mmap2(NULL, 26048, PROT_READ, MAP_SHARED, 3, 0) = 0xb779f000
close(3)                                = 0
open("/home/t.sailer/.kde/share/config/startupconfigkeys", O_RDONLY|O_LARGEFILE) = 3
ioctl(3, SNDCTL_TMR_TIMEBASE or TCGETS, 0xbfb15fe8) = -1 ENOTTY (Inappropriate ioctl for device)
fstat64(3, {st_mode=S_IFREG|0644, st_size=438, ...}) = 0
gettid()                                = 2174
open("/proc/self/task/2174/attr/current", O_RDONLY|O_LARGEFILE) = 4
read(4, "unconfined_u:unconfined_r:unconf"..., 4095) = 54
close(4)                                = 0
getxattr("/home/t.sailer/.kde/share/config/startupconfigkeys", "security.selinux", "system_u:object_r:nfs_t:s0", 255) = 27
open("/selinux/mls", O_RDONLY|O_LARGEFILE) = 4
read(4, "1", 19)                        = 1
close(4)                                = 0
socket(PF_FILE, SOCK_STREAM|SOCK_CLOEXEC, 0) = 4
connect(4, {sa_family=AF_FILE, path="/var/run/setrans/.setrans-unix"}, 110) = -1 ENOENT (No such file or directory)
close(4)                                = 0
gettid()                                = 2174
open("/proc/self/task/2174/attr/fscreate", O_RDONLY|O_LARGEFILE) = 4
read(4, "", 4095)                       = 0
close(4)                                = 0
socket(PF_FILE, SOCK_STREAM|SOCK_CLOEXEC, 0) = 4
connect(4, {sa_family=AF_FILE, path="/var/run/setrans/.setrans-unix"}, 110) = -1 ENOENT (No such file or directory)
close(4)                                = 0
gettid()                                = 2174
open("/proc/self/task/2174/attr/fscreate", O_RDWR|O_LARGEFILE) = 4
write(4, "system_u:object_r:nfs_t:s0\0", 27) = 27
close(4)                                = 0
umask(0700)                             = 022
gettimeofday({1291818217, 704572}, NULL) = 0
getpid()                                = 2174
open("/home/t.sailer/.kde/share/config/sed7QqOPs", O_RDWR|O_CREAT|O_EXCL|O_LARGEFILE, 0600) = 4
umask(022)                              = 0700
fcntl64(4, F_GETFL)                     = 0x8002 (flags O_RDWR|O_LARGEFILE)
fstat64(4, {st_mode=S_IFREG, st_size=0, ...}) = 0
mmap2(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb779d000
_llseek(4, 0, [0], SEEK_CUR)            = 0
gettid()                                = 2174
open("/proc/self/task/2174/attr/fscreate", O_RDWR|O_LARGEFILE) = 5
write(5, NULL, 0)                       = 0
close(5)                                = 0
fstat64(3, {st_mode=S_IFREG|0644, st_size=438, ...}) = 0
mmap2(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb779b000
read(3, "kcminputrc Mouse cursorTheme 'Ox"..., 8192) = 438
write(4, "kcminputrc Mouse cursorTheme 'Ox"..., 44) = 44
write(4, "kcminputrc Mouse cursorSize ''\n", 31) = 31
write(4, "ksplashrc KSplash Theme Laughlin"..., 33) = 33
write(4, "ksplashrc KSplash Engine KSplash"..., 34) = 34
write(4, "kcmrandrrc Display ApplyOnStartu"..., 40) = 40
write(4, "kcmrandrrc Display StartupComman"..., 38) = 38
write(4, "kcmrandrrc [Screen0]\n", 21)  = 21
write(4, "kcmrandrrc [Screen1]\n", 21)  = 21
write(4, "kcmrandrrc [Screen2]\n", 21)  = 21
write(4, "kcmrandrrc [Screen3]\n", 21)  = 21
write(4, "kcmfonts General forceFontDPI 0\n", 32) = 32
write(4, "kdeglobals Locale Language '' # "..., 74) = 74
write(4, "kdeglobals Locale Country ''\n", 29) = 29
read(3, "", 8192)                       = 0
fchmod(4, 0100644)                      = 0
fchown32(4, 10000, 513^C <unfinished ...>
[t.sailer@axext005 ~]$ strace -ff sed -i -e s/Default/Laughlin/g /home/t.sailer/.kde/share/config/startupconfigkeys
execve("/bin/sed", ["sed", "-i", "-e", "s/Default/Laughlin/g", "/home/t.sailer/.kde/share/config"...], [/* 36 vars */]) = 0
brk(0)                                  = 0x8e5a000
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb77d6000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=106452, ...}) = 0
mmap2(NULL, 106452, PROT_READ, MAP_PRIVATE, 3, 0) = 0xb77bc000
close(3)                                = 0
open("/lib/libselinux.so.1", O_RDONLY)  = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0000r\242\0004\0\0\0"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=122424, ...}) = 0
mmap2(0xa23000, 125956, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0xa23000
mmap2(0xa40000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1c) = 0xa40000
close(3)                                = 0
open("/lib/libc.so.6", O_RDONLY)        = 3
read(3, "\177ELF\1\1\1\3\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0p\17p\0004\0\0\0"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=1893912, ...}) = 0
mmap2(0x6ea000, 1653288, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x6ea000
mprotect(0x877000, 4096, PROT_NONE)     = 0
mmap2(0x878000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x18d) = 0x878000
mmap2(0x87b000, 10792, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x87b000
close(3)                                = 0
open("/lib/libdl.so.2", O_RDONLY)       = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0`\252\214\0004\0\0\0"..., 512) = 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=19780, ...}) = 0
mmap2(0x8ca000, 16500, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x8ca000
mmap2(0x8cd000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x2) = 0x8cd000
close(3)                                = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb77bb000
set_thread_area({entry_number:-1 -> 6, base_addr:0xb77bba60, limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0, useable:1}) = 0
mprotect(0xa40000, 4096, PROT_READ)     = 0
mprotect(0x878000, 8192, PROT_READ)     = 0
mprotect(0x8cd000, 4096, PROT_READ)     = 0
mprotect(0x6e6000, 4096, PROT_READ)     = 0
munmap(0xb77bc000, 106452)              = 0
statfs64("/selinux", 84, {f_type=0xf97cff8c, f_bsize=4096, f_blocks=0, f_bfree=0, f_bavail=0, f_files=0, f_ffree=0, f_fsid={0, 0}, f_namelen=255, f_frsize=4096}) = 0
brk(0)                                  = 0x8e5a000
brk(0x8e7b000)                          = 0x8e7b000
open("/usr/lib/locale/locale-archive", O_RDONLY|O_LARGEFILE) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=99158720, ...}) = 0
mmap2(NULL, 2097152, PROT_READ, MAP_PRIVATE, 3, 0) = 0xb75bb000
close(3)                                = 0
open("/usr/lib/charset.alias", O_RDONLY|O_LARGEFILE) = -1 ENOENT (No such file or directory)
open("/usr/lib/gconv/gconv-modules.cache", O_RDONLY) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=26048, ...}) = 0
mmap2(NULL, 26048, PROT_READ, MAP_SHARED, 3, 0) = 0xb77cf000
close(3)                                = 0
open("/home/t.sailer/.kde/share/config/startupconfigkeys", O_RDONLY|O_LARGEFILE) = 3
ioctl(3, SNDCTL_TMR_TIMEBASE or TCGETS, 0xbfd719b8) = -1 ENOTTY (Inappropriate ioctl for device)
fstat64(3, {st_mode=S_IFREG|0644, st_size=438, ...}) = 0
gettid()                                = 2183
open("/proc/self/task/2183/attr/current", O_RDONLY|O_LARGEFILE) = 4
read(4, "unconfined_u:unconfined_r:unconf"..., 4095) = 54
close(4)                                = 0
getxattr("/home/t.sailer/.kde/share/config/startupconfigkeys", "security.selinux", "system_u:object_r:nfs_t:s0", 255) = 27
open("/selinux/mls", O_RDONLY|O_LARGEFILE) = 4
read(4, "1", 19)                        = 1
close(4)                                = 0
socket(PF_FILE, SOCK_STREAM|SOCK_CLOEXEC, 0) = 4
connect(4, {sa_family=AF_FILE, path="/var/run/setrans/.setrans-unix"}, 110) = -1 ENOENT (No such file or directory)
close(4)                                = 0
gettid()                                = 2183
open("/proc/self/task/2183/attr/fscreate", O_RDONLY|O_LARGEFILE) = 4
read(4, "", 4095)                       = 0
close(4)                                = 0
socket(PF_FILE, SOCK_STREAM|SOCK_CLOEXEC, 0) = 4
connect(4, {sa_family=AF_FILE, path="/var/run/setrans/.setrans-unix"}, 110) = -1 ENOENT (No such file or directory)
close(4)                                = 0
gettid()                                = 2183
open("/proc/self/task/2183/attr/fscreate", O_RDWR|O_LARGEFILE) = 4
write(4, "system_u:object_r:nfs_t:s0\0", 27) = 27
close(4)                                = 0
umask(0700)                             = 022
gettimeofday({1291818326, 737291}, NULL) = 0
getpid()                                = 2183
open("/home/t.sailer/.kde/share/config/sedBWiEov", O_RDWR|O_CREAT|O_EXCL|O_LARGEFILE, 0600) = 4
umask(022)                              = 0700
fcntl64(4, F_GETFL)                     = 0x8002 (flags O_RDWR|O_LARGEFILE)
fstat64(4, {st_mode=S_IFREG, st_size=0, ...}) = 0
mmap2(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb77cd000
_llseek(4, 0, [0], SEEK_CUR)            = 0
gettid()                                = 2183
open("/proc/self/task/2183/attr/fscreate", O_RDWR|O_LARGEFILE) = 5
write(5, NULL, 0)                       = 0
close(5)                                = 0
fstat64(3, {st_mode=S_IFREG|0644, st_size=438, ...}) = 0
mmap2(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb77cb000
read(3, "kcminputrc Mouse cursorTheme 'Ox"..., 8192) = 438
write(4, "kcminputrc Mouse cursorTheme 'Ox"..., 44) = 44
write(4, "kcminputrc Mouse cursorSize ''\n", 31) = 31
write(4, "ksplashrc KSplash Theme Laughlin"..., 33) = 33
write(4, "ksplashrc KSplash Engine KSplash"..., 34) = 34
write(4, "kcmrandrrc Display ApplyOnStartu"..., 40) = 40
write(4, "kcmrandrrc Display StartupComman"..., 38) = 38
write(4, "kcmrandrrc [Screen0]\n", 21)  = 21
write(4, "kcmrandrrc [Screen1]\n", 21)  = 21
write(4, "kcmrandrrc [Screen2]\n", 21)  = 21
write(4, "kcmrandrrc [Screen3]\n", 21)  = 21
write(4, "kcmfonts General forceFontDPI 0\n", 32) = 32
write(4, "kdeglobals Locale Language '' # "..., 74) = 74
write(4, "kdeglobals Locale Country ''\n", 29) = 29
read(3, "", 8192)                       = 0
fchmod(4, 0100644)                      = 0
fchown32(4, 10000, 513^C <unfinished ...>

Comment 1 Steve Dickson 2010-12-13 13:50:50 UTC
When the processes are hung please log in a root type the following commands:
    dmesg -c > /dev/null
    echo t > /proc/sysrq-trigger 
    dmesg > /tmp/system.txt

Then please attache /tmp/system.txt to this bz.

Also that type of NFS server are you using. Linux?
If so what version of Linux?

As a work around you could set the Defaultvers=3
in the new /etc/nfsmount.conf in the NFSMount_Global_Options
section to make all mounts use version 3 as the default
version. Please see man nfsmount.conf(5) for details

Comment 2 Thomas Sailer 2010-12-13 14:25:59 UTC
(In reply to comment #1)

Hi Steve,

here you go. I don't think it's very illuminating, the interesting processes (like 2772) are not in the "system.txt" log.

> Also that type of NFS server are you using. Linux?
> If so what version of Linux?

Fedora 14, Linux server.xxxxx.com 2.6.35.9-64.fc14.x86_64 #1 SMP Fri Dec 3 12:19:41 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux

nfs-utils-1.2.3-2.fc14.x86_64
krb5-libs-1.8.2-7.fc14.x86_64

> As a work around you could set the Defaultvers=3

Yes, that's the workaround I'm currently using (i.e. mounting with version 3), the downside is that I'm loosing encryption...

Comment 3 Thomas Sailer 2010-12-13 14:27:15 UTC
Created attachment 468384 [details]
output of echo t > /proc/sysrq-trigger

Comment 4 Thomas Sailer 2010-12-13 14:27:52 UTC
Created attachment 468385 [details]
Output of ps axwl

Comment 5 Steve Dickson 2010-12-13 15:11:35 UTC
(In reply to comment #2)
> (In reply to comment #1)
> 
> Hi Steve,
> 
> here you go. I don't think it's very illuminating, the interesting processes
> (like 2772) are not in the "system.txt" log.
> 
> > Also that type of NFS server are you using. Linux?
> > If so what version of Linux?
> 
> Fedora 14, Linux server.xxxxx.com 2.6.35.9-64.fc14.x86_64 #1 SMP Fri Dec 3
> 12:19:41 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux
> 
> nfs-utils-1.2.3-2.fc14.x86_64
> krb5-libs-1.8.2-7.fc14.x86_64
> 
> > As a work around you could set the Defaultvers=3
> 
> Yes, that's the workaround I'm currently using (i.e. mounting with version 3),
> the downside is that I'm loosing encryption...
FYI... Secure NFS is available with *all* version of NFS...

Comment 6 Steve Dickson 2010-12-13 15:34:15 UTC
(In reply to comment #3)
> Created attachment 468384 [details]
> output of echo t > /proc/sysrq-trigger

Here are the four process that appear to be hung. They
are all waiting for a mutex lock, not in the NFS code.
Plus in this backtrace there are no processes in the
NFS code... Which is a bit odd since I would expect
to see at least one or two rpciod kernel processes.. 

[  561.404130] gnome-volume- D ffff8800b80eea00     0  2842   2716 0x00000080
[  561.404130] Call Trace:
[  561.404130]  [<ffffffff81468c10>] __mutex_lock_common.clone.5+0x12f/0x196
[  561.404130]  [<ffffffff81120335>] ? putname+0x34/0x36
[  561.404130]  [<ffffffff81468c8a>] __mutex_lock_slowpath+0x13/0x15
[  561.404130]  [<ffffffff81468ac7>] mutex_lock+0x36/0x50
[  561.404130]  [<ffffffff81115a79>] chown_common.clone.10+0x65/0x89
[  561.404130]  [<ffffffff8111f61d>] ? path_put+0x22/0x27
[  561.404130]  [<ffffffff81116364>] sys_chown+0x51/0x7c
[  561.404130]  [<ffffffff81009cf2>] system_call_fastpath+0x16/0x1b

[  561.404130] canberra-gtk- D ffff8800b8010e00     0  2849   2716 0x00000080
[  561.404130] Call Trace:
[  561.404130]  [<ffffffff81468c10>] __mutex_lock_common.clone.5+0x12f/0x196
[  561.404130]  [<ffffffff81120335>] ? putname+0x34/0x36
[  561.404130]  [<ffffffff81468c8a>] __mutex_lock_slowpath+0x13/0x15
[  561.404130]  [<ffffffff81468ac7>] mutex_lock+0x36/0x50
[  561.404130]  [<ffffffff81115a79>] chown_common.clone.10+0x65/0x89
[  561.404130]  [<ffffffff8111f61d>] ? path_put+0x22/0x27
[  561.404130]  [<ffffffff81116364>] sys_chown+0x51/0x7c
[  561.404130]  [<ffffffff81009cf2>] system_call_fastpath+0x16/0x1b

[  561.404130] pulseaudio    D ffff880037a07b80     0  2850   2848 0x00000080
[  561.404130] Call Trace:
[  561.404130]  [<ffffffff81468c10>] __mutex_lock_common.clone.5+0x12f/0x196
[  561.404130]  [<ffffffff81468c8a>] __mutex_lock_slowpath+0x13/0x15
[  561.404130]  [<ffffffff81468ac7>] mutex_lock+0x36/0x50
[  561.404130]  [<ffffffff8111f768>] do_lookup+0xa5/0x18b
[  561.404130]  [<ffffffff811dedc3>] ? selinux_file_alloc_security+0x0/0x75
[  561.404130]  [<ffffffff81121ebd>] do_last+0x180/0x5d4
[  561.404130]  [<ffffffff81122541>] do_filp_open+0x230/0x5e1
[  561.404130]  [<ffffffff810e929d>] ? pmd_offset+0x19/0x40
[  561.404130]  [<ffffffff81221850>] ? might_fault+0x21/0x23
[  561.404130]  [<ffffffff81221950>] ? __strncpy_from_user+0x1f/0x4e
[  561.404130]  [<ffffffff8112b765>] ? alloc_fd+0x74/0x11f
[  561.404130]  [<ffffffff811165b3>] do_sys_open+0x64/0x110
[  561.404130]  [<ffffffff8111667f>] sys_open+0x20/0x22
[  561.404130]  [<ffffffff81009cf2>] system_call_fastpath+0x16/0x1b

[  561.404130] restorecond   D 0000000000000001     0  2856   2716 0x00000080
[  561.404130] Call Trace:
[  561.404130]  [<ffffffff81468c10>] __mutex_lock_common.clone.5+0x12f/0x196
[  561.404130]  [<ffffffff81127245>] ? dput+0x45/0x110
[  561.404130]  [<ffffffff81468c8a>] __mutex_lock_slowpath+0x13/0x15
[  561.404130]  [<ffffffff81468ac7>] mutex_lock+0x36/0x50
[  561.404130]  [<ffffffff8113061f>] vfs_setxattr+0x55/0x9f
[  561.404130]  [<ffffffff81130736>] setxattr+0xcd/0xff
[  561.404130]  [<ffffffff81120335>] ? putname+0x34/0x36
[  561.404130]  [<ffffffff81121b73>] ? user_path_at+0x62/0x91
[  561.404130]  [<ffffffff811182f5>] ? fput+0x1de/0x1ed
[  561.404130]  [<ffffffff81130864>] sys_lsetxattr+0x6a/0x8f
[  561.404130]  [<ffffffff81009cf2>] system_call_fastpath+0x16/0x1b

Comment 7 Thomas Sailer 2010-12-13 16:02:42 UTC
(In reply to comment #5)
> FYI... Secure NFS is available with *all* version of NFS...

How?

mount -t nfs4 -o soft,intr,rsize=8192,wsize=8192,rw,sec=krb5p server.xxxxx.com:/export xx
gives me a V4 mount

mount -t nfs4 -o soft,intr,nfsvers=3,rsize=8192,wsize=8192,rw,sec=krb5p server.xxxxx.com:/export xx
gives me -EINVAL

Setting Defaultvers=3 in /etc/mount.conf gives me a V4 mount, and setting Nfsvers=3 in /etc/mount.conf gives me -EINVAL.

Comment 8 Steve Dickson 2010-12-13 16:13:37 UTC
(In reply to comment #7)
> (In reply to comment #5)
> > FYI... Secure NFS is available with *all* version of NFS...
> 
> How?
> 
> mount -t nfs4 -o soft,intr,rsize=8192,wsize=8192,rw,sec=krb5p
> server.xxxxx.com:/export xx
> gives me a V4 mount
> 
>' nfs4 -o soft,intr,nfsvers=3,rsize=8192,wsize=8192,rw,sec=krb5p
> server.xxxxx.com:/export xx
> gives me -EINVAL
> 
> Setting Defaultvers=3 in /etc/mount.conf gives me a V4 mount, and setting
> Nfsvers=3 in /etc/mount.conf gives me -EINVAL.

Try 'mount -t nfs -o intr,v3,rsize=8192,wsize=8192,rw,sec=krb5p'

The reason you were getting the -EINVAL error was you were
specifying both v4 (-t nfs4) and v3 (-o nfsvers=3)

Note, doing soft mounts is not a good idea. They can easily lead
to data corruptions...

Comment 9 Thomas Sailer 2010-12-13 16:27:11 UTC
When I do that (-t nfs ...), I get -EACCESS, even though rpc.mountd on the server thinks it's ok:
rpc.mountd: check_default: access by 192.168.1.244 ALLOWED (cached)
rpc.mountd: Received NULL request from 192.168.1.244
rpc.mountd: check_default: access by 192.168.1.244 ALLOWED (cached)
rpc.mountd: Received NULL request from 192.168.1.244
rpc.mountd: check_default: access by 192.168.1.244 ALLOWED (cached)
rpc.mountd: Received MNT3(/mnt/data/home-axsem) request from 192.168.1.244
rpc.mountd: authenticated mount request from 192.168.1.244:944 for /mnt/data (/mnt/data)
rpc.mountd: check_default: access by 192.168.1.244 ALLOWED (cached)
rpc.mountd: Received UMNT(/mnt/data/home-axsem) request from 192.168.1.244
rpc.mountd: authenticated unmount request from 192.168.1.244:803 for /mnt/data (/mnt/data)

rpc.gssd on the client and rpc.svcgssd on the server remain silent...

Comment 10 Steve Dickson 2010-12-13 20:17:17 UTC
In /etc/sysconfig/nfs please set RPCGSSDARGS="-vvv" for rpc.gssd on the client
and set RPCSVCGSSDARGS="-vv" for the server side..

Comment 11 Thomas Sailer 2010-12-14 14:47:10 UTC
rpc.svcgssd on the server is happily handling requests from other clients, but none from the client above, and rpc.gssd on the client just says

rpc.gssd[9607]: beginning poll

nothing else

Comment 12 Steve Dickson 2010-12-14 16:54:08 UTC
It appears SELinux is enabled... Does 'setenforce 0' make any difference?

Comment 13 Thomas Sailer 2010-12-14 16:59:57 UTC
It's actually permissive, both on the client and the server.

Comment 14 Steve Dickson 2011-01-05 20:17:26 UTC
WRT getting secure NFS working on an F14 server... Try adding "rdns = false" to the libdefaults section in /etc/krb5.conf... I needed that to get the
rpc.svcgssd to start up correctly...

Comment 15 Fedora End Of Life 2012-08-16 22:20:02 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.